<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.scm.store.mapper.IcStoreOutBMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hzs.common.domain.scm.store.ext.IcStoreOutBExt">
        <id column="PK_ID" property="pkId" />
    <result column="DEL_FLAG" property="delFlag" />
    <result column="CREATION_TIME" property="creationTime" />
    <result column="MODIFIED_TIME" property="modifiedTime" />
    <result column="PK_COUNTRY" property="pkCountry" />
    <result column="PK_CREATOR" property="pkCreator" />
    <result column="PK_MODIFIED" property="pkModified" />
    <result column="PK_STOREOUT_H" property="pkStoreoutH" />
    <result column="PK_PRODUCT" property="pkProduct" />
    <result column="PK_WARES" property="pkWares" />
    <result column="QUANTITY" property="quantity" />
    <result column="ORDER_STATUS" property="orderStatus" />
    <result column="PK_WARES_SPECS_SKU" property="pkWaresSpecsSku" />
    <result column="PK_WARES_DETAIL" property="pkWaresDetail" />
    <result column="SPECS_NAME" property="specsName" />
    <result column="SPECS_NAME_ID" property="specsNameId" />
    <result column="WARES_QUANTITY" property="waresQuantity" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        DEL_FLAG,
        CREATION_TIME,
        MODIFIED_TIME,
        PK_COUNTRY,
        PK_CREATOR,
        PK_MODIFIED,
        PK_ID, PK_STOREOUT_H, PK_PRODUCT, PK_WARES, QUANTITY, ORDER_STATUS, PK_WARES_SPECS_SKU, PK_WARES_DETAIL, SPECS_NAME, SPECS_NAME_ID, WARES_QUANTITY
    </sql>

</mapper>
